com.io7m.jcanephora.core

## Interface JCGLTextureUsableType

- All Superinterfaces:
    JCGLNamedType, JCGLReferableType, JCGLResourceSizedType, JCGLResourceUsableType
  All Known Subinterfaces:
    JCGLTexture2DType, JCGLTexture2DUsableType, JCGLTextureCubeType, JCGLTextureCubeUsableType, JCGLTextureType

      public interface JCGLTextureUsableType
      extends JCGLResourceUsableType, JCGLReferableType, JCGLResourceSizedType

  The type of usable textures.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLTextureFormat` | `format()`
    `long` | `height()`
    `JCGLTextureFilterMagnification` | `magnificationFilter()`
    `JCGLTextureFilterMinification` | `minificationFilter()`
    `com.io7m.junsigned.ranges.UnsignedRangeInclusiveL` | `rangeX()`
    `com.io7m.junsigned.ranges.UnsignedRangeInclusiveL` | `rangeY()`
    `long` | `width()`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLReferableType

      `referringContainers`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLNamedType

      `glName`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceSizedType

      `byteRange`

- - ### Method Detail

    - #### magnificationFilter

          JCGLTextureFilterMagnification magnificationFilter()

      Returns:
        The texture magnification filter

    - #### minificationFilter

          JCGLTextureFilterMinification minificationFilter()

      Returns:
        The texture minification filter

    - #### rangeX

          com.io7m.junsigned.ranges.UnsignedRangeInclusiveL rangeX()

      Returns:
        The texture `x` axis range

    - #### rangeY

          com.io7m.junsigned.ranges.UnsignedRangeInclusiveL rangeY()

      Returns:
        The texture `y` axis range

    - #### width

          long width()

      Returns:
        The width of the texture

    - #### height

          long height()

      Returns:
        The height of the texture

    - #### format

          JCGLTextureFormat format()

      Returns:
        The texture format

Copyright © 2017 <code@io7m.com> http://io7m.com